Release scripts for repos, images, OOM, refs
bumpSnapshots.sh: Steps the patch version of snapshot images based on
the data in the policy release data file.
generateCommit.sh: At the suggestion of OOM, the order of the generated messages is
changed.
releaseRepo.sh: Generates the release yaml file and the commit to
release the maven artifacts of a repo
releaseRepoImages.sh: Generates the release yaml fole and the commit to
release the docker images from a repo
updateOomImages.sh: Generates a commit that updats the references to
Policy Framework docker images in OOM
updateRefs.sh: Updates the parent. common, models., drools-pdp, and
Docker base images in Docker files for reselases or snapshots.
Issue-ID: POLICY-3835
Change-Id: I0766a779c2217a57a33ed37725f11acdfb07a16d
Signed-off-by: liamfallon <liam.fallon@est.tech>
diff --git a/integration/src/release_scripts/mkdock.sh b/integration/src/release_scripts/mkdock.sh
index cd34fd1..dfbee9f 100755
--- a/integration/src/release_scripts/mkdock.sh
+++ b/integration/src/release_scripts/mkdock.sh
@@ -5,6 +5,7 @@
# ONAP
# =========================================================================
# Copyright (C) 2021 AT&T Intellectual Property. All rights reserved.
+# Modifications Copyright (C) 2022 Nordix Foundation.
# =========================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -36,6 +37,8 @@
# can get through the firewall.
#
+set -e
+
if [ $# -lt 1 -o "$1" = "-?" ]
then
echo "arg(s): docker-container-name1 docker-container-name2 ..." >&2